<?php 

	$expert_mechanic_custom_style = '';

	// Logo Size
	$expert_mechanic_logo_top_padding = get_theme_mod('expert_mechanic_logo_top_padding');
	$expert_mechanic_logo_bottom_padding = get_theme_mod('expert_mechanic_logo_bottom_padding');
	$expert_mechanic_logo_left_padding = get_theme_mod('expert_mechanic_logo_left_padding');
	$expert_mechanic_logo_right_padding = get_theme_mod('expert_mechanic_logo_right_padding');

	if( $expert_mechanic_logo_top_padding != '' || $expert_mechanic_logo_bottom_padding != '' || $expert_mechanic_logo_left_padding != '' || $expert_mechanic_logo_right_padding != ''){
		$expert_mechanic_custom_style .=' .logo {';
			$expert_mechanic_custom_style .=' padding-top: '.esc_attr($expert_mechanic_logo_top_padding).'px; padding-bottom: '.esc_attr($expert_mechanic_logo_bottom_padding).'px; padding-left: '.esc_attr($expert_mechanic_logo_left_padding).'px; padding-right: '.esc_attr($expert_mechanic_logo_right_padding).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_logo_size = get_theme_mod('expert_mechanic_logo_size');
	if( $expert_mechanic_logo_size != '') {
		if($expert_mechanic_logo_size == 100) {
			$expert_mechanic_custom_style .=' .custom-logo-link img {';
				$expert_mechanic_custom_style .=' width: 350px;';
			$expert_mechanic_custom_style .=' }';
		} else if($expert_mechanic_logo_size >= 10 && $expert_mechanic_logo_size < 100) {
			$expert_mechanic_custom_style .=' .custom-logo-link img {';
				$expert_mechanic_custom_style .=' width: '.esc_attr($expert_mechanic_logo_size).'%;';
			$expert_mechanic_custom_style .=' }';
		}
	}

	// service section padding
	$expert_mechanic_service_section_padding = get_theme_mod('expert_mechanic_service_section_padding');

	if( $expert_mechanic_service_section_padding != ''){
		$expert_mechanic_custom_style .=' #our_service {';
			$expert_mechanic_custom_style .=' padding-top: '.esc_attr($expert_mechanic_service_section_padding).'px; padding-bottom: '.esc_attr($expert_mechanic_service_section_padding).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	// Site Title Font Size
	$expert_mechanic_site_title_font_size = get_theme_mod('expert_mechanic_site_title_font_size');
	if( $expert_mechanic_site_title_font_size != ''){
		$expert_mechanic_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_site_title_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	// Site Tagline Font Size
	$expert_mechanic_site_tagline_font_size = get_theme_mod('expert_mechanic_site_tagline_font_size');
	if( $expert_mechanic_site_tagline_font_size != ''){
		$expert_mechanic_custom_style .=' .logo p.site-description {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_site_tagline_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	//layout width
	$expert_mechanic_boxfull_width = get_theme_mod('expert_mechanic_boxfull_width');
	if ($expert_mechanic_boxfull_width !== '') {
		switch ($expert_mechanic_boxfull_width) {
			case 'container':
				$expert_mechanic_custom_style .= ' body {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$expert_mechanic_custom_style .= ' body { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
				 }';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$expert_mechanic_dropdown_anim = get_theme_mod('expert_mechanic_dropdown_anim');

	if ( $expert_mechanic_dropdown_anim != '') {
		$expert_mechanic_custom_style .=' .nav-menu ul ul {';
			$expert_mechanic_custom_style .=' animation:'.esc_attr($expert_mechanic_dropdown_anim).' 1s ease;';
		$expert_mechanic_custom_style .=' }';
	}

	// Copyright padding
	$expert_mechanic_copyright_padding = get_theme_mod('expert_mechanic_copyright_padding');

	if( $expert_mechanic_copyright_padding != ''){
		$expert_mechanic_custom_style .=' .site-info {';
			$expert_mechanic_custom_style .=' padding-top: '.esc_attr($expert_mechanic_copyright_padding).'px; padding-bottom: '.esc_attr($expert_mechanic_copyright_padding).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_slider_hide_show = get_theme_mod('expert_mechanic_slider_hide_show',false);
	if( $expert_mechanic_slider_hide_show == true){
		$expert_mechanic_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$expert_mechanic_custom_style .=' display:none;';
		$expert_mechanic_custom_style .=' }';
	}

	//topbar color
	$expert_mechanic_social_color = get_theme_mod('expert_mechanic_social_color');

	if ( $expert_mechanic_social_color != '') {
	$expert_mechanic_custom_style .=' .social-icon i {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_social_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_socialhover_color = get_theme_mod('expert_mechanic_socialhover_color');

	if ( $expert_mechanic_socialhover_color != '') {
	$expert_mechanic_custom_style .=' .social-icon i:hover {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_socialhover_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_menu_color = get_theme_mod('expert_mechanic_menu_color');

	if ( $expert_mechanic_menu_color != '') {
	$expert_mechanic_custom_style .=' .nav-menu ul li a {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_menu_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_topbtn_color = get_theme_mod('expert_mechanic_topbtn_color');

	if ( $expert_mechanic_topbtn_color != '') {
	$expert_mechanic_custom_style .=' .appointment-btn a {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_topbtn_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_topbtnbg_color = get_theme_mod('expert_mechanic_topbtnbg_color');

	if ( $expert_mechanic_topbtnbg_color != '') {
	$expert_mechanic_custom_style .=' .appointment-btn a {';
		$expert_mechanic_custom_style .=' background-color:'.esc_attr($expert_mechanic_topbtnbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_topbg_color = get_theme_mod('expert_mechanic_topbg_color');

	if ( $expert_mechanic_topbg_color != '') {
	$expert_mechanic_custom_style .=' .header-box {';
		$expert_mechanic_custom_style .=' background-color:'.esc_attr($expert_mechanic_topbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	//Slider color
	$expert_mechanic_slider_title_font_size = get_theme_mod('expert_mechanic_slider_title_font_size');
	if( $expert_mechanic_slider_title_font_size != ''){
		$expert_mechanic_custom_style .=' #slider .inner_carousel h2 {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_slider_title_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_slider_text_font_size = get_theme_mod('expert_mechanic_slider_text_font_size');
	if( $expert_mechanic_slider_text_font_size != ''){
		$expert_mechanic_custom_style .=' #slider .inner_carousel p {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_slider_text_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_slider_opacity = get_theme_mod('expert_mechanic_slider_opacity');

	if ( $expert_mechanic_slider_opacity != '') {
	$expert_mechanic_custom_style .=' #slider image {';
		$expert_mechanic_custom_style .=' opacity:'.esc_attr($expert_mechanic_slider_opacity).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_slider_color = get_theme_mod('expert_mechanic_slider_color');

	if ( $expert_mechanic_slider_color != '') {
	$expert_mechanic_custom_style .=' #slider .inner_carousel h2,#slider .inner_carousel p {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_slider_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_sliderbtn_color = get_theme_mod('expert_mechanic_sliderbtn_color');
	$expert_mechanic_sliderbtnbg_color = get_theme_mod('expert_mechanic_sliderbtnbg_color');

	if ( $expert_mechanic_sliderbtn_color != '') {
	$expert_mechanic_custom_style .=' #slider .read-btn a {';
		$expert_mechanic_custom_style .=' color: '.esc_attr($expert_mechanic_sliderbtn_color).'; background-color: '.esc_attr($expert_mechanic_sliderbtnbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	//Service color
	$expert_mechanic_service_img_size = get_theme_mod('expert_mechanic_service_img_size');

	if( $expert_mechanic_service_img_size != ''){
		$expert_mechanic_custom_style .=' #our_service img {';
			$expert_mechanic_custom_style .=' width: '.esc_attr($expert_mechanic_service_img_size).'px; height: '.esc_attr($expert_mechanic_service_img_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_service_title_font_size = get_theme_mod('expert_mechanic_service_title_font_size');
	if( $expert_mechanic_service_title_font_size != ''){
		$expert_mechanic_custom_style .=' #our_service h2 {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_service_title_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_service_font_size = get_theme_mod('expert_mechanic_service_font_size');
	if( $expert_mechanic_service_font_size != ''){
		$expert_mechanic_custom_style .=' .service-content h3 a {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_service_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_service_color = get_theme_mod('expert_mechanic_service_color');

	if ( $expert_mechanic_service_color != '') {
	$expert_mechanic_custom_style .=' #our_service h2 {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_service_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_bxtitle_color = get_theme_mod('expert_mechanic_bxtitle_color');

	if ( $expert_mechanic_bxtitle_color != '') {
	$expert_mechanic_custom_style .=' .service-content h3 a {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_bxtitle_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_bxtbg_color = get_theme_mod('expert_mechanic_bxtbg_color');

	if ( $expert_mechanic_bxtbg_color != '') {
	$expert_mechanic_custom_style .=' .service-content {';
		$expert_mechanic_custom_style .=' background-color:'.esc_attr($expert_mechanic_bxtbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	//Footer color
	$expert_mechanic_footer_copy_font_size = get_theme_mod('expert_mechanic_footer_copy_font_size');
	if( $expert_mechanic_footer_copy_font_size != ''){
		$expert_mechanic_custom_style .=' .site-info p {';
			$expert_mechanic_custom_style .=' font-size: '.esc_attr($expert_mechanic_footer_copy_font_size).'px;';
		$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_copyright_color = get_theme_mod('expert_mechanic_copyright_color');
	if ( $expert_mechanic_copyright_color != '') {
	$expert_mechanic_custom_style .=' .site-info p {';
		$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_copyright_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_copyrightbg_color = get_theme_mod('expert_mechanic_copyrightbg_color');
	if ( $expert_mechanic_copyrightbg_color != '') {
	$expert_mechanic_custom_style .=' .copyright {';
		$expert_mechanic_custom_style .=' background-color:'.esc_attr($expert_mechanic_copyrightbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_footer_ngicon_color = get_theme_mod('expert_mechanic_footer_ngicon_color');
	if ( $expert_mechanic_footer_ngicon_color != '') {
	$expert_mechanic_custom_style .=' .foter-contact span i {';
	$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_footer_ngicon_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_footer_ngtext_color = get_theme_mod('expert_mechanic_footer_ngtext_color');
	if ( $expert_mechanic_footer_ngtext_color != '') {
	$expert_mechanic_custom_style .=' span.call a, span.email a {';
	$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_footer_ngtext_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_widgets_color = get_theme_mod('expert_mechanic_widgets_color');
	if ( $expert_mechanic_widgets_color != '') {
	$expert_mechanic_custom_style .=' .site-footer h2.widget-title a, .site-footer h2.widget-title {';
	$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_widgets_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_widgets_menu_color = get_theme_mod('expert_mechanic_widgets_menu_color');
	if ( $expert_mechanic_widgets_menu_color != '') {
	$expert_mechanic_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
	$expert_mechanic_custom_style .=' color:'.esc_attr($expert_mechanic_widgets_menu_color).';';
	$expert_mechanic_custom_style .=' }';
	}

	$expert_mechanic_footerbg_color = get_theme_mod('expert_mechanic_footerbg_color');
	if ( $expert_mechanic_footerbg_color != '') {
	$expert_mechanic_custom_style .=' #colophon {';
	$expert_mechanic_custom_style .=' background-color:'.esc_attr($expert_mechanic_footerbg_color).';';
	$expert_mechanic_custom_style .=' }';
	}